Sign up for a new enterprise account
POST /api/v1/login/signup/enterprise. Identity and access API reference.
Sign up for a new enterprise account
curl --request POST \
--url https://{apiHost}/api/v1/login/signup/enterprise \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://{apiHost}/api/v1/login/signup/enterprise"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://{apiHost}/api/v1/login/signup/enterprise', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "__INVALID__",
"success": {
"type": "__INVALID__",
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"refresh": {
"token": {
"base64": "<string>",
"expires": "<string>"
}
},
"details": {
"original": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
}
},
"logout": {
"original": {
"base64": "<string>"
}
},
"credential": {
"credentialId": "<string>"
},
"querySessionDetails": {
"cause": "__INVALID__",
"sessionDetails": [
{
"sessionId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"clientIp": "<string>",
"userAgent": "<string>"
}
]
},
"generateToken": {
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"sessionDetails": {
"sessionId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"clientIp": "<string>",
"userAgent": "<string>"
}
}
},
"failure": {
"type": "__INVALID__",
"login": {
"cause": "__INVALID__",
"error": "<string>",
"noOfLoginAttemptsLeft": 123,
"tempToken": {
"base64": "<string>",
"expires": "<string>"
},
"tempSuccessResponse": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
}
},
"refresh": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
},
"error": "<string>"
},
"logout": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
},
"error": "<string>"
},
"details": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
}
},
"credential": {
"cause": "__INVALID__"
},
"querySessionDetails": {
"error": "<string>",
"cause": "__INVALID__"
},
"generateToken": {
"cause": "__INVALID__",
"error": "<string>"
}
},
"notify": {
"type": "__INVALID__",
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"logout": {
"original": {
"base64": "<string>"
}
}
},
"redirect": {
"redirectUrl": "<string>",
"code": 123
},
"mode": {
"username": "<string>",
"mode": "AAALoginModeLocal"
},
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"totpURL": {
"URL": "<string>",
"Secret": "<string>"
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-node level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
application/json
Enterprise meta data
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
AUTH_PROFILE_TYPE_UNSPECIFIED, AUTH_PROFILE_TYPE_OAUTH_AZURE_AD, AUTH_PROFILE_TYPE_OAUTH_GOOGLE, AUTH_PROFILE_TYPE_OAUTH_CUSTOM, AUTH_PROFILE_TYPE_LOCAL Response
A successful response.
Available options:
__INVALID__, AAAResponseTypeSuccess, AAAResponseTypeFailure, AAAResponseTypeNotify, AAAResponseTypeEnterpriseSignup, AAAResponseTypeAdminUserSignup, AAAResponseTypeRedirect, AAAResponseTypeLoginMode, TOTPEnrolment, EnrolTOTP Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Sign up for a new enterprise account
curl --request POST \
--url https://{apiHost}/api/v1/login/signup/enterprise \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://{apiHost}/api/v1/login/signup/enterprise"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://{apiHost}/api/v1/login/signup/enterprise', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "__INVALID__",
"success": {
"type": "__INVALID__",
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"refresh": {
"token": {
"base64": "<string>",
"expires": "<string>"
}
},
"details": {
"original": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"user": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
}
},
"logout": {
"original": {
"base64": "<string>"
}
},
"credential": {
"credentialId": "<string>"
},
"querySessionDetails": {
"cause": "__INVALID__",
"sessionDetails": [
{
"sessionId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"clientIp": "<string>",
"userAgent": "<string>"
}
]
},
"generateToken": {
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"sessionDetails": {
"sessionId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"clientIp": "<string>",
"userAgent": "<string>"
}
}
},
"failure": {
"type": "__INVALID__",
"login": {
"cause": "__INVALID__",
"error": "<string>",
"noOfLoginAttemptsLeft": 123,
"tempToken": {
"base64": "<string>",
"expires": "<string>"
},
"tempSuccessResponse": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
}
},
"refresh": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
},
"error": "<string>"
},
"logout": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
},
"error": "<string>"
},
"details": {
"cause": "__INVALID__",
"original": {
"base64": "<string>"
}
},
"credential": {
"cause": "__INVALID__"
},
"querySessionDetails": {
"error": "<string>",
"cause": "__INVALID__"
},
"generateToken": {
"cause": "__INVALID__",
"error": "<string>"
}
},
"notify": {
"type": "__INVALID__",
"login": {
"userId": {
"base64": "<string>"
},
"token": {
"base64": "<string>",
"expires": "<string>"
},
"enterpriseId": {
"base64": "<string>"
},
"realmId": {
"base64": "<string>"
},
"policies": [
{
"id": "<string>",
"zone": "<string>",
"scope": "PermissionScope__INVALID__",
"access": "PermissionAccess__INVALID__",
"ownerId": "<string>",
"external": true
}
],
"simpleUser": {
"id": "<string>",
"username": "<string>",
"realmId": "<string>",
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>"
},
"detailedUser": {
"username": "<string>",
"roleId": "<string>",
"email": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"state": "USER_STATE_UNSPECIFIED",
"firstName": "<string>",
"locale": "<string>",
"fullName": "<string>",
"timeZone": "<string>",
"type": "AUTH_TYPE_UNSPECIFIED",
"phone": "<string>",
"notifyPref": "<string>",
"LastLoginTime": "2023-11-07T05:31:56Z",
"LastLogoutTime": "2023-11-07T05:31:56Z",
"emailState": "ID_STATE_UNSPECIFIED",
"phoneState": "ID_STATE_UNSPECIFIED",
"customUserInput": {},
"allowedEnterprises": [
{
"id": "<string>",
"name": "<string>",
"roleId": "<string>"
}
],
"enterpriseId": "<string>",
"totpEnabled": true,
"allowedEntpProjectList": {},
"zksSyncStatus": {
"status": "ZKS_SYNC_STATUS_CODE_UNSPECIFIED",
"serverStatuses": [
{
"serverName": "<string>",
"status": "<string>",
"error": "<string>"
}
]
},
"tokenZksSyncStatus": {},
"passwordExpiryNotificationPeriodInSeconds": 123
},
"realm": {
"id": "EAJ1ABAi-KOom7dJlrBoE8eq1pj9",
"name": "zededa.com",
"enterpriseId": "AAFlABDe6Nm63ixF5LJBbk9Keqp6",
"title": "zededa",
"description": "Test realm",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-17T06:03:14Z",
"createdBy": "us.root@zededa.com",
"updatedAt": "2020-07-17T06:03:14Z",
"updatedBy": "us.root@zededa.com"
}
},
"enterprise": {
"name": "<string>",
"title": "<string>",
"id": "<string>",
"SfdcId": "<string>",
"HubspotId": "<string>",
"state": "ENTERPRISE_STATE_UNSPECIFIED",
"type": "ENTERPRISE_TYPE_UNSPECIFIED",
"policyList": {
"list": [
{
"Policy": "<string>",
"Version": "<string>",
"AcceptedAt": "2023-11-07T05:31:56Z",
"AcceptedBy": "<string>",
"EffectiveFrom": "2023-11-07T05:31:56Z"
}
]
},
"parentEntpId": "<string>",
"azureSubId": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"realms": [
"<string>"
],
"attributes": {},
"inheritAuthFromParent": true,
"childEnterprises": [
{
"name": "<string>",
"id": "<string>"
}
],
"controllerHostURL": "<string>",
"streamEvents": {
"pluginId": "<string>",
"enabled": true
},
"totpSettings": {
"enforce": true,
"enforceInChildren": true,
"enforcedByParent": true
},
"apiTokenExpiryInSeconds": 123
},
"role": {
"id": "AAGFABAEqnH4je5PHZTXSmHOs-XC",
"name": "SysRoot",
"title": "SysRoot",
"description": "",
"revision": {
"prev": "",
"curr": "1",
"createdAt": "2020-07-16T18:19:56Z",
"createdBy": "SYSTEM_ROOT",
"updatedAt": "1970-01-01T00:00:01Z",
"updatedBy": "SYSTEM_ROOT"
},
"type": "USER_ROLE_CLUSTER",
"state": "ROLE_STATE_ACTIVE",
"scopes": [
{
"accessDevice": "PermissionAccessCreateReadUpdateDelete",
"accessApp": "PermissionAccessCreateReadUpdateDelete",
"accessUser": "PermissionAccessCreateReadUpdateDelete",
"accessStorage": "PermissionAccessCreateReadUpdateDelete",
"accessEnterprise": "PermissionAccessCreateReadUpdateDelete",
"enterpriseFilter": [
"srAll"
],
"projectFilter": [
"srAll"
]
}
]
},
"loginToken": {
"base64": "<string>",
"expires": "<string>"
},
"apiToken": {
"base64": "<string>",
"expires": "<string>"
},
"passwordExpiryTime": "2023-11-07T05:31:56Z",
"passwordExpiryNotificationPeriodInSeconds": 123,
"isJWTValid": true
},
"logout": {
"original": {
"base64": "<string>"
}
}
},
"redirect": {
"redirectUrl": "<string>",
"code": 123
},
"mode": {
"username": "<string>",
"mode": "AAALoginModeLocal"
},
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"totpURL": {
"URL": "<string>",
"Secret": "<string>"
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}